be.vlaanderen.mercurius.vsb.common.core.v3

## Class WaitingPeriodsType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb.common.core.v3.WaitingPeriodsType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class WaitingPeriodsType
      extends Object
      implements Serializable

  Java class for WaitingPeriodsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="WaitingPeriodsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="WaitingPeriodCbDependentPerson" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}WaitingPeriodType" minOccurs="0"/>
               <element name="WaitingPeriodCbHandicap" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}WaitingPeriodType" minOccurs="0"/>
               <element name="WaitingPeriodCbElderlyWithCareNeed" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}WaitingPeriodType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaitingPeriodsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaitingPeriodType` | `getWaitingPeriodCbDependentPerson()` Gets the value of the waitingPeriodCbDependentPerson property.
    `WaitingPeriodType` | `getWaitingPeriodCbElderlyWithCareNeed()` Gets the value of the waitingPeriodCbElderlyWithCareNeed property.
    `WaitingPeriodType` | `getWaitingPeriodCbHandicap()` Gets the value of the waitingPeriodCbHandicap property.
    `void` | `setWaitingPeriodCbDependentPerson(WaitingPeriodType value)` Sets the value of the waitingPeriodCbDependentPerson property.
    `void` | `setWaitingPeriodCbElderlyWithCareNeed(WaitingPeriodType value)` Sets the value of the waitingPeriodCbElderlyWithCareNeed property.
    `void` | `setWaitingPeriodCbHandicap(WaitingPeriodType value)` Sets the value of the waitingPeriodCbHandicap property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaitingPeriodsType

          public WaitingPeriodsType()

  - ### Method Detail

    - #### getWaitingPeriodCbDependentPerson

          public WaitingPeriodType getWaitingPeriodCbDependentPerson()

      Gets the value of the waitingPeriodCbDependentPerson property.
      Returns:
        possible object is `WaitingPeriodType`

    - #### setWaitingPeriodCbDependentPerson

          public void setWaitingPeriodCbDependentPerson(WaitingPeriodType value)

      Sets the value of the waitingPeriodCbDependentPerson property.
      Parameters:
        `value` - allowed object is `WaitingPeriodType`

    - #### getWaitingPeriodCbHandicap

          public WaitingPeriodType getWaitingPeriodCbHandicap()

      Gets the value of the waitingPeriodCbHandicap property.
      Returns:
        possible object is `WaitingPeriodType`

    - #### setWaitingPeriodCbHandicap

          public void setWaitingPeriodCbHandicap(WaitingPeriodType value)

      Sets the value of the waitingPeriodCbHandicap property.
      Parameters:
        `value` - allowed object is `WaitingPeriodType`

    - #### getWaitingPeriodCbElderlyWithCareNeed

          public WaitingPeriodType getWaitingPeriodCbElderlyWithCareNeed()

      Gets the value of the waitingPeriodCbElderlyWithCareNeed property.
      Returns:
        possible object is `WaitingPeriodType`

    - #### setWaitingPeriodCbElderlyWithCareNeed

          public void setWaitingPeriodCbElderlyWithCareNeed(WaitingPeriodType value)

      Sets the value of the waitingPeriodCbElderlyWithCareNeed property.
      Parameters:
        `value` - allowed object is `WaitingPeriodType`

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.